Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.api.application5
Interface WebType<T>

All Superinterfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>

All Known Implementing Classes:
  WebTypeImpl

    public interface WebType<T>

extends org.jboss.shrinkwrap.descriptor.api.Child<T>

This interface defines the contract for the `webType` xsd type

Original Documentation:

The webType defines the web-uri and context-root of
a web application module.

Since:
  Generation date :2011-07-19T22:54:35.59+02:00
Author:
  Ralf Battenfeld

Method Summary
`java.lang.String` | `getContextRoot()` Returns the `context-root` element
`java.lang.String` | `getWebUri()` Returns the `web-uri` element
`WebType<T>` | `removeContextRoot()` Removes the `context-root` element
`WebType<T>` | `removeWebUri()` Removes the `web-uri` element
`WebType<T>` | `setContextRoot(java.lang.String contextRoot)` If not already created, a new `context-root` element with the given value will be created.
`WebType<T>` | `setWebUri(java.lang.String webUri)` If not already created, a new `web-uri` element with the given value will be created.

Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Child
`up`

Method Detail

### setWebUri

    WebType<T> setWebUri(java.lang.String webUri)

  If not already created, a new `web-uri` element with the given value will be created. Otherwise, the existing `web-uri` element will be updated with the given value.

  Returns:
    the current instance of `WebType`

### removeWebUri

    WebType<T> removeWebUri()

  Removes the `web-uri` element

  Returns:
    the current instance of `WebType`

### getWebUri

    java.lang.String getWebUri()

  Returns the `web-uri` element

  Returns:
    the node defined for the element `web-uri`

### setContextRoot

    WebType<T> setContextRoot(java.lang.String contextRoot)

  If not already created, a new `context-root` element with the given value will be created. Otherwise, the existing `context-root` element will be updated with the given value.

  Returns:
    the current instance of `WebType`

### removeContextRoot

    WebType<T> removeContextRoot()

  Removes the `context-root` element

  Returns:
    the current instance of `WebType`

### getContextRoot

    java.lang.String getContextRoot()

  Returns the `context-root` element

  Returns:
    the node defined for the element `context-root`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD